#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	harfbuzz
Version		:	9.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Text shaping library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/harfbuzz/harfbuzz/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	freetype-devel
BuildRequires	:	fontconfig-devel
BuildRequires	:	graphite2
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	icu
BuildRequires	:	meson
BuildRequires	:	ninja

Obsoletes	:	%{name}-bt	<= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
HarfBuzz is an implementation of the OpenType Layout engine.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}-cairo.so.*
%{_libdir}/lib%{name}-gobject.so.*
%{_libdir}/lib%{name}-subset.so.*
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
Requires	:       %{name}-icu	= %{version}-%{release}

Obsoletes	:	%{name}-bt-devel <= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/hb*.h
%{_includedir}/%{name}/hb-cplusplus.hh
%{_bindir}/hb*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-cairo.so
%{_libdir}/lib%{name}-gobject.so
%{_libdir}/lib%{name}-icu.so
%{_libdir}/lib%{name}-subset.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/cmake/%{name}/%{name}-config.cmake
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/HarfBuzz.svg
%{_datadir}/gtk-doc/html/%{name}/style.css

#=============================================================================
%package		icu
Summary		:	Harfbuzz ICU support library

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

Obsoletes	:	%{name}-bt-icu	<= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		icu
This package contains Harfbuzz ICU support library.

#-----------------------------------------------------------------------------
%files			icu
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-icu.so.*

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	-D benchmark=disabled				\
	-D cairo=enabled				\
	-D docs=enabled					\
	-D freetype=enabled				\
	-D glib=enabled					\
	-D graphite=enabled				\
	-D gobject=enabled				\
	-D icu=enabled					\
	-D introspection=enabled			\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld						\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
